<< fftfilt | FOSSEE_Signal_Processing_Toolbox | fftshift1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > fftn

# fftn

Compute the N-dimensional discrete Fourier transform.

### Syntax

    Y = fftn(A)
    Y = fftn(A, SIZE)

### Parameters

A:

  Matrix, the input data for which the FFT is computed.

SIZE:

  (optional) Vector specifying the dimensions of the output array.

### Description

The `fftn` function computes the N-dimensional discrete Fourier transform of the input matrix `A` using a Fast Fourier Transform (FFT) algorithm. The optional `SIZE` parameter allows specifying the dimensions of the output array.

### Examples

    // Example 1: Compute the FFT of a matrix
    A = [6 9 7; 2 9 9; 0 3 1]
    Y = fftn(A)

Report an issue
<< fftfilt | FOSSEE_Signal_Processing_Toolbox | fftshift1 >>